<?php

spl_autoload_register(function($className) {

	$parts = explode('\\', $className);
	if(!isset($parts[0]) || $parts[0] != 'GuzzleHttp' || !isset($parts[1]) || $parts[1] != 'Promise') return;

	$parts = array_splice($parts,2);

	$path = dirname(__FILE__) . '/src/'.implode('/' , $parts) . ".php";
	if(file_exists($path)) require_once $path;

});